Lucene search

K
suseSuseSUSE-SU-2016:1041-1
HistoryApr 14, 2016 - 8:11 p.m.

Security update for Linux Kernel Live Patch 8 (important)

2016-04-1420:11:21
lists.opensuse.org
50

EPSS

0.054

Percentile

93.2%

This update for the Linux Kernel 3.12.48-52.27.1 fixes the following
issues:

  • CVE-2016-2384: A malicious USB device could cause a kernel crash in the
    alsa usb-audio driver. (bsc#967773)

  • CVE-2015-8812: A flaw was found in the CXGB3 kernel driver when the
    network was considered congested. The kernel would incorrectly
    misinterpret the congestion as an error condition and incorrectly
    free/clean up the skb. When the device would then send the skb’s queued,
    these structures would be referenced and may panic the system or allow
    an attacker to escalate privileges in a use-after-free scenario.
    (bsc#966683)

  • CVE-2016-0774: A pipe buffer state corruption after unsuccessful atomic
    read from pipe was fixed (bsc#964732).

  • CVE-2015-8709: kernel/ptrace.c in the Linux kernel mishandled uid and
    gid mappings, which allowed local users to gain privileges by
    establishing a user namespace, waiting for a root process to enter that
    namespace with an unsafe uid or gid, and then using the ptrace system
    call. NOTE: the vendor states "there is no kernel bug here." (bsc#960563)